Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# ModmailMessage

class praw.models.ModmailMessage(reddit: praw.Reddit, _data: Optional[Dict[str, Any]], _extra_attribute_to_check: Optional[str] = None, _fetched: bool = False, _str_field: bool = True)

  A class for modmail messages.

  __init__(reddit: praw.Reddit, _data: Optional[Dict[str, Any]], _extra_attribute_to_check: Optional[str] = None, _fetched: bool = False, _str_field: bool = True)

    Initialize a `RedditBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.